package ru.dima.weather.city;

import org.junit.jupiter.api.Test;
import org.mockito.Mockito;
import ru.dima.weather.http.HttpRequester;

import java.util.UUID;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class IpInfoServiceTest {

  @Test
    void testGetCurrentCityViaIP(){
    var mockHttpRequester = Mockito.mock(HttpRequester.class);
    var cityByIpResolver = new IpInfoService(mockHttpRequester);
    var randomCityName = UUID.randomUUID().toString();

        Mockito.when(mockHttpRequester.getString(Mockito.any())).thenReturn(randomCityName);

    var currentCity = cityByIpResolver.getCurrentCityViaIP();
    assertEquals(randomCityName, currentCity);

   }

}

