package ru.dima.weather.city;

import org.junit.jupiter.api.Test;
import ru.dima.weather.cli.CLIInputReader;

import java.util.ArrayList;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

public class IpProviderCLISelectorTest {
    @Test
    void testSelectIpProviderFromCLI_ValidInput() {
        CLIInputReader cliInputReader = mock(CLIInputReader.class);
        when(cliInputReader.readInteger()).thenReturn(1);

        IpProvider ipProvider1 = mock(IpProvider.class);
        when(ipProvider1.getName()).thenReturn("Provider 1");

        List<IpProvider> ipProviders = new ArrayList<>();
        ipProviders.add(ipProvider1);

        IpProviderCLISelector ipProviderCLISelector = new IpProviderCLISelector(cliInputReader, ipProviders);
        assertEquals(ipProvider1, ipProviderCLISelector.selectIpProviderFromCLI());
    }

    @Test
    void testSelectIpProviderFromCLI_InvalidInput() {
        CLIInputReader cliInputReader = mock(CLIInputReader.class);
        when(cliInputReader.readInteger())
                .thenReturn(3)
                .thenReturn(1);

        IpProvider ipProvider1 = mock(IpProvider.class);
        when(ipProvider1.getName()).thenReturn("Provider 1");

        List<IpProvider> ipProviders = new ArrayList<>();
        ipProviders.add(ipProvider1);

        IpProviderCLISelector ipProviderCLISelector = new IpProviderCLISelector(cliInputReader, ipProviders);
        assertEquals(ipProvider1, ipProviderCLISelector.selectIpProviderFromCLI());
    }
}
