package ru.dima.weather.city;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.mockito.Mockito;
import ru.dima.weather.cli.CLIInputReader;
import ru.dima.weather.cli.WeatherProviderCLISelector;
import ru.dima.weather.provider.WeatherProvider;
import ru.dima.weather.provider.WeatherProviderRegistry;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.util.Arrays;
import java.util.List;

import static org.junit.jupiter.api.Assertions.*;
import static org.mockito.Mockito.*;



public class WeatherProviderCLISelectorTest {

    @Test
     void testSelectWeatherProviderFromCLI_T(){
         WeatherProviderRegistry weatherProviderRegistry = mock(WeatherProviderRegistry.class);
        WeatherProvider provider = Mockito.mock("open-weather-map");
        List<WeatherProvider> providers = Arrays.asList(provider);
         when(weatherProviderRegistry.getAllWeatherProviders()).thenReturn(providers);
        var j = "1";
        InputStream inputStream = new ByteArrayInputStream(j.getBytes());
        CLIInputReader inputReader = new CLIInputReader(inputStream);

        WeatherProviderCLISelector t = new WeatherProviderCLISelector(inputReader, weatherProviderRegistry);
        assertEquals("open-weather-map" , t.selectWeatherProviderFromCLI());
     }
     @Test
     void  testSelectWeatherProviderFromCLI_F(){
         WeatherProviderRegistry weatherProviderRegistry = mock(WeatherProviderRegistry.class);
         WeatherProvider provider = Mockito.mock("open-weather-map");
         List<WeatherProvider> providers = Arrays.asList(provider);
         when(weatherProviderRegistry.getAllWeatherProviders()).thenReturn(providers);
         var j = "GYg";
         InputStream inputStream = new ByteArrayInputStream(j.getBytes());
         CLIInputReader inputReader = new CLIInputReader(inputStream);

         WeatherProviderCLISelector t = new WeatherProviderCLISelector(inputReader, weatherProviderRegistry);
         assertEquals("open-weather-map" , t.selectWeatherProviderFromCLI());

     }
}
