package ru.dima.weather.city;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import ru.dima.weather.provider.WeatherProvider;
import ru.dima.weather.provider.WeatherProviderRegistry;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;
import static org.mockito.Mockito.mock;

public class WeatherProviderRegistryTest {
    @Test
      void registerWeatherProvider(){
            WeatherProviderRegistry registry = new WeatherProviderRegistry();
            WeatherProvider provider = mock(WeatherProvider.class);
            registry.registerWeatherProvider(provider);
            List<WeatherProvider> providers = registry.getAllWeatherProviders();
            assertEquals(1, providers.size());
            assertTrue(providers.contains(provider));

    }

}
